Package org.eclipse.emf.cdo.common

# Enum Class CDOCommonSession.Options.PassiveUpdateMode

java.lang.Object
java.lang.Enum<CDOCommonSession.Options.PassiveUpdateMode>
org.eclipse.emf.cdo.common.CDOCommonSession.Options.PassiveUpdateMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOCommonSession.Options.PassiveUpdateMode>`, `Constable`

Enclosing interface:
  `CDOCommonSession.Options`

public static enum CDOCommonSession.Options.PassiveUpdateMode extends Enum<CDOCommonSession.Options.PassiveUpdateMode>
Enumerates the possible `passive update modes` of a CDO session.

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDITIONS`
This mode delivers change deltas for all changed objects, whether they have change subscriptions or not.
`CHANGES`
This mode delivers change deltas for all changed objects, whether they have change subscriptions or not.
`INVALIDATIONS`
This mode delivers change deltas only for change subscriptions, invalidation information for all other objects.

## Method Summary

Modifier and Type
Method
Description
`static CDOCommonSession.Options.PassiveUpdateMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonSession.Options.PassiveUpdateMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALIDATIONS

public static final CDOCommonSession.Options.PassiveUpdateMode INVALIDATIONS
This mode delivers change deltas only for change subscriptions, invalidation information for all other objects.

### CHANGES

public static final CDOCommonSession.Options.PassiveUpdateMode CHANGES
This mode delivers change deltas for all changed objects, whether they have change subscriptions or not. Revisions for new objects are not delivered.

### ADDITIONS

public static final CDOCommonSession.Options.PassiveUpdateMode ADDITIONS
This mode delivers change deltas for all changed objects, whether they have change subscriptions or not. In addition full revisions for new objects are delivered.

## Method Details

### values

public static CDOCommonSession.Options.PassiveUpdateMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOCommonSession.Options.PassiveUpdateMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null